%global momorel 2

Name:           perl-Bio-ASN1-EntrezGene
Version:        1.091
Release:        %{momorel}m%{?dist}
Summary:        Regular expression-based Perl Parser for NCBI Entrez Gene
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Bio-ASN1-EntrezGene/
Source0:        http://www.cpan.org/modules/by-module/Bio/Bio-ASN1-EntrezGene-%{version}.tgz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Bio::ASN1::EntrezGene is a regular expression-based Perl Parser for NCBI
Entrez Gene genome databases
(http://www.ncbi.nih.gov/entrez/query.fcgi?db=gene). It parses an ASN.1-
formatted Entrez Gene record and returns a data structure that contains all
data items from the gene record.

%prep
%setup -q -n Bio-ASN1-EntrezGene-1.09

# remove all execute bits from the doc stuff
# so that dependency generator doesn't try to fulfill deps
find examples -type f -exec chmod -x {} 2>/dev/null ';'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

## disable tests because of circular BuildRequires with bioperl
%check
%{?_with_check:make test || :}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc examples
%doc Changes README README.1st
%{perl_vendorlib}/Bio/ASN1/EntrezGene*
%{perl_vendorlib}/Bio/ASN1/Sequence*
%{_mandir}/man3/*

%changelog
* Wed Jul  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.091-2m)
- remove duplicate directories

* Mon Jun 29 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (1.091-1m)
- import from Fedora

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.091-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.091-6
Rebuild for new perl

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.091-5
- rebuild for new perl

* Tue Sep 04 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.091-4
- Clarified license terms: GPL+ or Artistic

* Mon Apr 15 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.091-3
- Bump for rebuild now that perl-bioperl is in the repo, which fulfills
  the Requires for this package.

* Mon Apr 02 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.091-2
- Include the "examples" subdirectory as documentation as per comments
  from Chris Weyl.  Strip executable bits from these scripts.

* Fri Mar 23 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.091-1
- Disable tests because of circular BuildRequires with perl-bioperl.
- Specfile autogenerated by cpanspec 1.69.1.
